wxTextProofOptions Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Private Member Functions | Static Private Member Functions | List of all members
wxTextProofOptions Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/textctrl.h>`

## Detailed Description

This class provides a convenient means of passing multiple parameters to wxTextCtrl::EnableProofCheck().

By default, i.e. when calling EnableProofCheck() without any parameters, Default() proof options are used, which enable spelling (but not grammar) checks for the current language.

However it is also possible to customize the options:

textctrl->EnableProofCheck(wxTextProofOptions::Default().Language("fr").GrammarCheck());
wxTextProofOptions::Default
static wxTextProofOptions Default() static wxTextProofOptions Disable() wxTextProofOptions &SpellCheck(bool enable
Create an object corresponding to the default checks.

or disable the all checks entirely:

textctrl->EnableProofCheck(wxTextProofOptions::Disable());

Note that this class has no public constructor, except for the copy constructor, so its objects can only be created using the static factory methods Default() or Disable().

See also
  wxTextCtrl::EnableProofCheck(), wxTextCtrl::GetProofCheckOptions().

Since
  3.1.6

## Private Member Functions
bool | IsGrammarCheckEnabled () const
| Return true if grammar checking is enabled.

## Static Private Member Functions
static wxTextProofOptions | Default () static wxTextProofOptions Disable() wxTextProofOptions &SpellCheck(bool enable
| Create an object corresponding to the default checks.

## Member Function Documentation

## ◆ Default()

wxTextProofOptions wxTextProofOptions::Default | ( |  | ) | &
| staticprivate

Create an object corresponding to the default checks.

The returned object enables spelling checks and disables grammar checks. Create an object disabling all checks.

The returned object can be passed to wxTextCtrl::EnableProofCheck() to disable all checks in the text control. Enable / disable spell checking for this control.

## ◆ IsGrammarCheckEnabled()

bool wxTextProofOptions::IsGrammarCheckEnabled | ( |  | ) | const
| private

Return true if grammar checking is enabled.